Educating the world

Our blog has over 10,000 readers a month

Tags: python

Installing Python 2.7 with MySQL support on Plesk CentOS 5.5

July 7th, 2011
CentOS 5.5 is dependant on Python 2.4. Everything will break if you change it, so we must install a newer version of Python in a different place. Surprisingly my 1&1 CentOS didn't come with gcc installed so I had to install it myself. yum -y i… more »

Running Python in debug mode under Eclipse

April 21st, 2011
Even though you will be developing Python you will still need Eclipse with the Java SDK. I think this is for 2 reasons. Firstly Python support for Eclipse is in the form of an Eclipse plug-in as opposed to a fully integrated Eclipse application and there aren't any Eclipse distributions with no (computer) language support. The other reason (I think) is that many of the development tools for Java are used for Python. more »

Building Python 2.7.1 from sources with OpenSSL support under Windows win32 and x64

February 1st, 2011
With all projects we must creating an area to place our sources so that we both have a frame of reference.mkdir c:\python-modulesNext we must download the sources we need. First up is Python itself. Navigate to: http://www.python.org/download/ and… more »

Compiling omniORB 4.1.5 and omniORBpy 3.5 with Python 2.7

January 24th, 2011
Python 2.7 (final) was released on 3rd July 2010, which is almost half a year ago. One of the awful things about Python is that major releases are not compatible with each other. That is the extension modules compiled against Python 2.6 do not play nicel… more »